AuthenticationActivate MFA key

Activate MFA key

<Info icon="fa-light fa-lock-open" className="permission-callout"> <div className="permission-callout__header"><span className="permission-callout__title"><span className="permission-callout__label">Required permissions</span> <span className="fern-docs-badge small blue subtle rounded-full permission-callout__beta">Beta</span></span> <span className="permission-callout__learn-more">[Learn more](/developers/api-guidelines/permissions#how-permissions-work)</span></div> No permission required. Available to all roles. </Info> Activates a pending MFA key for the authenticated user. After you [create an MFA key](/developers/api/authentication/post-mfa), the key has status `Activation Pending`. To complete setup, call this endpoint with the MFA key ID and a valid 6-digit time-based one-time password (TOTP) generated from the `secret_key` or `otpauth` URI returned during creation. Once activated, the MFA key status changes to `Active`, and MFA is enforced on subsequent logins with [user credentials](/developers/auth/user-credentials). For more information, see [Multi-factor authentication](/developers/auth/multi-factor-authentication).

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the /api/v1/authenticate POST request.

Path parameters

key_idintegerRequired

The unique identifier of the MFA key to activate. This ID is returned when you create the MFA key.

Request

This endpoint expects an object.
statusobjectRequired
The target status for the MFA key.
codestringRequired=6 characters

The 6-digit TOTP code generated by your authenticator app using the secret_key or otpauth URI from the MFA key creation response.

This code changes every 30 seconds.

Response

MFA key activated successfully. No content returned.

Errors

404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error